Subject: Re: Euphorbia characias wulfenii

From: [email-masked] (OkieDeb)
Date: 24 Mar 1995 22:07:00 -0500

I planted 3 euphorbia characias wulfenii (sp?) plant ordered from Wayside
Gardens last spring.  One died (as always happs when I plant 3 of
anything) and the other two are no great shakes.  The pictures all show
4-foot billowy beauties and mine are 1 foot scraggly little things.  

What am I doing wrong?  Why don't mine look like the one's in the garden
in Howard's End?

Any tips would be appreciated.

Debby Porter, Norman, OK   zone 7